.hospital-banner {
	position: relative;
    width: 100%;
    height: 24rem;
    background-size: cover;
    background-position: center;
}
.hospital-banner .banner-overlay {
    inset: 0px;
    position: absolute;
    --tw-gradient-from-position: ;
    --tw-gradient-via-position: ;
    --tw-gradient-to-position: ;
    --tw-gradient-from: #fff var(--tw-gradient-from-position);
    --tw-gradient-stops: var(--tw-gradient-from), rgb(255 255 255 / 0.9) var(--tw-gradient-via-position), var(--tw-gradient-to);
    --tw-gradient-to: transparent var(--tw-gradient-to-position);
    background-image: linear-gradient(to right, var(--tw-gradient-stops));
}
.hospital-banner p {
	font-size: 2.25rem;
	line-height: 1.25;
	font-weight: 700;
	color: #111827;
	max-width: 42rem;
}
.hospital-information {
	background-color: #f9fafb;
}
.hospital-information section {
	padding: 4rem 2rem;
}
.hospital-details {
	display: grid;
	align-items: center;
	gap: 3rem;
	max-width: 80rem;
	margin: auto;
}
.hospital-information h2 {
	font-size: 1.875rem;
    line-height: 2.25rem;
    font-weight: 700;
    color: #111827;
    margin-bottom: 1.5rem;
}
.hospital-details p,
.location-map p,
.location-services p,
.location-doctors p {
	font-size: 1.125rem;
    line-height: 1.75rem;
    margin-bottom: 2rem;
    color: #4b5563;
}
.hospital-address > div:not(:first-child) {
	margin-top: 16px;
}
.hospital-icon {
	width: 1.5rem;
	height: 1.5rem;
	margin: 0 0.75rem 0 0;
}
.hospital-icon i {
	color: #124e94;
}
.hospital-address h3 {
	font-size: 16px;
	font-weight: 600;
	color: #111827;
	margin-bottom: 0;
}
.hospital-address p {
	font-size: 16px;
	line-height: 22px;
	color: #4b5563;
	margin-bottom: 0;
}
.hospital-features {
	padding: 2rem;
	border-radius: 20px;
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.hospital-features h3 {
	font-size: 1.25rem;
    line-height: 1.75rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: #111827;
}
.feature-list {
	gap: 1rem;
	grid-template-columns: repeat(1, minmax(0, 1fr));
}
.feature-icon {
	width: 1.25rem;
	height: 1.25rem;
	margin-right: 0.75rem;
}
.feature-icon i {
	color: #1daf8b;
}
.feature-list span {
	font-size: 16px;
    line-height: 22px;
	color: #374151;
}
.hospital-map {
	gap: 3rem;
}
.iframe-map {
	background-color: #e5e7eb;
	border-radius: 20px;
	overflow: hidden;
	--tw-ring-offset-shadow : 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
	--tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.iframe-map iframe {
	height: 500px;
	width: 100%;	
}
.location-form {
	border-radius: 20px;
	padding: 2rem;
	--tw-ring-offset-shadow : 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
	--tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.location-form h3 {
	font-size: 1.5rem;
    line-height: 2rem;
    margin-bottom: 1.5rem;
    font-weight: 700;
    color: #111827;
}
#consultation-form > div:not(:first-child),
.location-btn {
	margin-top: 24px;
}
#consultation-form label {
	font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 500;
    color: #374151;
    margin-bottom: 0.5rem;
}
#consultation-form input,
#consultation-form select,
#consultation-form textarea {
	font-size: 0.875rem;
    line-height: 1.25rem;
    padding: 0.75rem 1rem;
    border: 1px solid #d1d5db;
    border-radius: 16px;
    width: 100%;
}
.location-btn {
	font-size: 16px;
	padding: 0.75rem 1.5rem;
	font-weight: 500;
	color: #fff;
	background-color: #1A78B7;
	border-radius: 8px;
	white-space: nowrap;
	width: 100%;
	outline: none;
	border: none;
	transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, -webkit-text-decoration-color;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.location-btn:hover,
.location-btn:active,
.location-btn:focus {
	background-color: #124e94;
}
.service-slide {
	height: 20rem;
	position: relative;
	border-radius: 20px;
	overflow: hidden;
	margin: 0 1rem;
	--tw-ring-offset-shadow: 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
	--tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.service-slide img {
	width: 100%;
	height:100%;
	object-fit: cover;
	object-position: top;
}
.service-overlay {
	background-color: #00000000;
	inset: 0px;
	position: absolute;
	transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
	transition-duration: 300ms;
}
.service-slide:hover .service-overlay {
	background-color: #00000099;
}
.service-content {
	position: absolute;
	inset: 0px;
	flex-direction: column;
	padding: 1.5rem;
	opacity: 0;
	transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);	
	transition-duration: 300ms;
}
.service-slide:hover .service-content {
	opacity: 1;
}
.service-content h3 {
	font-size: 1.5rem;
    line-height: 2rem;
    margin-bottom: 0.75rem;
    font-weight: 700;
}
.service-content p {
	font-size: 0.875rem;
    line-height: 1.25rem;
    margin-bottom: 1rem;
    color: #fff;
}
.service-content a {
	color: #fff;
	font-size: 0.875rem;
    line-height: 1.25rem;
	font-weight: 500;
	transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, -webkit-text-decoration-color;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.service-slide:hover .service-content a:hover {
	color: #e5e7eb;
}
.slick-arrow {
	align-self: center;
	justify-content: center;
	align-items: center;
	width: 3rem;
	height: 3rem;
	border-radius: 9999px;
	background-color: #fff;
	transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, -webkit-text-decoration-color;
	transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
    --tw-ring-offset-shadow: 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.doctor-slide {
	overflow: hidden;
	background-color: #fff;
	border-radius: 20px;
	margin: 0 1rem;
	transition-property: box-shadow;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
    --tw-ring-offset-shadow: 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}
.doctor-slide img {
	object-position: top;
	object-fit: cover;
	width: 100%;
	height: 16rem;
}
.doctor-content {
	padding: 1.5rem;
}
.doctor-content h3 {
	font-size: 1.25rem;
    line-height: 1.75rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    color: #111827;
}
p.designation {
	font-size: 16px;
	font-weight: 500;
	color: #1A78B7;
	margin-bottom: 0.75rem;
}
p.small-description {
	font-size: 0.875rem;
    line-height: 1.25rem;
    margin-bottom: 1rem;
    color: #4b5563;
}
@media (max-width: 767px) {
	.hospital-information {
	    padding: 2rem 0;
	}
	.hospital-information section {
	     padding: 2rem 1rem; 
	}
	.hospital-banner {
	    height: 15rem;
	}
	.hospital-banner p {
	    font-size: 1.5rem;
	    line-height: 1.2;
	}
	.hospital-details h2 {
		font-size: 1.8rem;
	    line-height: 1rem;
	}
	.hospital-details p {
		font-size: 1rem;
	    line-height: 1.6rem;
	}
	.hospital-information h2 {
	    font-size: 1.5rem;
	    line-height: 2rem;
	}
	.hospital-details p, .location-map p, .location-services p,
	.location-doctors p {
	    font-size: 1rem;
	    line-height: 1.5rem;
	    margin-bottom: 1rem;
	}
	.slick-slider .slick-prev {
        left: -42px;
    }
	.slick-slider .slick-next {
        right: -42px;
    }
    .service-overlay {
		background-color: #00000099;
	}
	.service-content {
		opacity: 1;
	}
}
@media (min-width: 768px) {
	.slick-next {
		right: -50px;
	}
	.slick-prev {
	    left: -50px;
	}
	.feature-list {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
	.location-service {
		width: 80%;
		margin: auto;
	}
	.location-doctor {
		width: 90%;
		margin: auto;
	}
}
@media (min-width: 1024px) {
    .hospital-details,
    .hospital-map {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}